Bug 2137117

Summary: Review Request: artefetcher - Fetch videos from German and French Arte+7 website
Product: [Fedora] Fedora Reporter: bolivari <sliderfruits>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, ppisar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 177841    
Attachments:
Description Flags
artefecher build for fedora 36 none

Description bolivari 2022-10-23 15:24:29 UTC
Created attachment 1919754 [details]
artefecher build for fedora 36

SPEC: https://dl.casperlefantom.net/pub/review/artefetcher.spec
SRPM: https://dl.casperlefantom.net/pub/review/artefetcher-0.8.0-2.fc36.src.rpm
Copr Build: https://copr.fedorainfracloud.org/coprs/bolivari/arteFetcher/build/5006330/ 

Description

Fetch videos from German and French Arte+7 website

Fedora Account System Username: bolivari

FE-NEEDSPONSOR

Comment 1 Petr Pisar 2022-11-02 12:09:44 UTC
I corrected formalities of this review request.
I'm not a sponsor, so I cannot do this review. Just a few remarks:

You call "gzip" command from the spec file. Then you should add a build-time dependency "BuildRequires: gzip".
The same goes for "install command: "BuildRequires: coreutils".
Also for "desktop-file-install": "BuildRequires: desktop-file-utils".
"%make_build" macro means "BuildRequires: make".
I guess the software is written in C++, so you need a C++ compiler: "BuildRequires: gcc-c++"

Then the License tag should you a new SPDX format "GPL-3.0-or-later" <https://docs.fedoraproject.org/en-US/legal/license-field/>. See this table <https://docs.fedoraproject.org/en-US/legal/allowed-licenses/>.

Comment 2 bolivari 2022-11-03 15:53:32 UTC
New Spec file and new build

SPEC: https://dl.casperlefantom.net/pub/review/artefetcher.spec
SRPM: https://dl.casperlefantom.net/pub/review/artefetcher-0.8.0-2.fc36.src.rpm
Copr Build: https://copr.fedorainfracloud.org/coprs/bolivari/arteFetcher/build/5005821/ 

Description

Fetch videos from German and French Arte+7 website

Fedora Account System Username: bolivari

FE-NEEDSPONSOR

Comment 3 Ben Cotton 2023-04-25 18:07:02 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 4 bolivari 2023-06-24 11:40:16 UTC
New Spec file and new build

SPEC: https://dl.casperlefantom.net/pub/review/artefetcher.spec
SRPM: https://dl.casperlefantom.net/pub/review/artefetcher-0.8.0-4.fc37.src.rpm
Copr Build: https://copr.fedorainfracloud.org/coprs/bolivari/arteFetcher/build/5595943/

Description

Fetch videos from German and French Arte+7 website

Fedora Account System Username: bolivari

FE-NEEDSPONSOR